Devices

Get device

GET
/workspaces/{workspaceId}/devices/{deviceId}

Authorization

API key Devices: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Devices: read

Path Parameters

workspaceId*string
Formatuuid
deviceId*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/devices/thermostat-0042"

Device detail.

{  "deviceId": "thermostat-0042",  "createdAt": "2025-11-03T07:12:00+00:00",  "firmwares": [    {      "id": "q8Fd53pLn1Yr",      "name": "Thermostat application",      "firmwareVersions": [        {          "id": "r2Kt75mXc8Vd",          "name": "2.4.1"        }      ]    }  ],  "latestReportedBuildId": "8f3a1c9e2b7d4506",  "statusFlags": [],  "tags": {    "environment": "field-test",    "region": "eu-west"  },  "cohort": {    "id": "m3Yg84tDx7Rn",    "name": "Field test devices"  }}